Skip to main content
`Ctrl`+`K`

# MatMFFDFn

Function provided to `MatMFFDSetFunction()` that computes the function being differenced

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MatMFFDFn(void *ctx, Vec x, Vec y);

## Calling Sequence

- ctx - [optional] user-defined function context provided with `MatMFFDSetFunction()`

- x - input vector

- y - output vector

## See Also

Matrices, `Mat`, `MatCreateMFFD()`, `MatMFFDSetFunction()`, `MatMFFDiFn`, `MatMFFDiBaseFn`

## Level

advanced

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages